/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES 'utf8' COLLATE 'utf8_general_ci' */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


-- 2017-10-06 18:13:18
-- Задача №0009187: Контроль дат полисов. Чтобы полис отбирался не по MAX(id), а по последней begDate.
DELIMITER //
DROP FUNCTION  IF EXISTS `getClientPolicyIdForDate`//
CREATE DEFINER=`root`@`localhost` FUNCTION `getClientPolicyIdForDate`(aClientId INT, aIsCompulsory INT, aDate DATE) RETURNS int(11)
    READS SQL DATA
    DETERMINISTIC
    COMMENT 'return client policy id for date'
BEGIN
    DECLARE vPolicyId INT;
    IF aIsCompulsory THEN
        SELECT id
            INTO vPolicyId
            FROM ClientPolicy
            WHERE client_id = aClientId
              AND (   policyType_id IS NULL
                   OR policyType_id IN (SELECT rbPolicyType.id FROM rbPolicyType WHERE rbPolicyType.isCompulsory))
              AND deleted = 0
              AND begDate <= aDate
              ORDER BY begDate DESC
              LIMIT 1;
    ELSE
        SELECT id
            INTO vPolicyId
            FROM ClientPolicy
            WHERE client_id = aClientId
              AND policyType_id IS NOT NULL
              AND policyType_id IN (SELECT rbPolicyType.id FROM rbPolicyType WHERE NOT rbPolicyType.isCompulsory)
              AND deleted = 0
              AND begDate <= aDate
              ORDER BY begDate DESC
              LIMIT 1;
    END IF;
    RETURN vPolicyId;
END;//

--
DROP FUNCTION  IF EXISTS `getClientPolicyId`//
CREATE DEFINER=`root`@`localhost` FUNCTION `getClientPolicyId`(aClientId INT, aIsCompulsory INT) RETURNS int(11)
    READS SQL DATA
    DETERMINISTIC
    COMMENT 'return last client policy id'
BEGIN
    DECLARE vPolicyId INT;
    IF aIsCompulsory THEN
        SELECT id
            INTO vPolicyId
            FROM ClientPolicy
            WHERE client_id = aClientId
              AND (   policyType_id IS NULL
                   OR policyType_id IN (SELECT rbPolicyType.id FROM rbPolicyType WHERE rbPolicyType.isCompulsory))
              AND ClientPolicy.deleted = 0
              ORDER BY begDate DESC
              LIMIT 1;
    ELSE
        SELECT id
            INTO vPolicyId
            FROM ClientPolicy
            WHERE client_id = aClientId
              AND policyType_id IS NOT NULL
              AND policyType_id IN (SELECT rbPolicyType.id FROM rbPolicyType WHERE NOT rbPolicyType.isCompulsory)
              AND deleted = 0
              ORDER BY begDate DESC
              LIMIT 1;
    END IF;
    RETURN vPolicyId;
END//
DELIMITER ;

INSERT INTO `DatabaseVersion` (`base_version`, `updated`) VALUES ('up2017010-02', NOW());

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
