/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES 'utf8' COLLATE 'utf8_general_ci' */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


-- 2017-10-24 14:23:19
-- 0008664: Информация о прикреплении в печати Списка пациентов
DROP function IF EXISTS `getFormatedClientAttach`;

DELIMITER $$

CREATE DEFINER=`root`@`localhost` FUNCTION `getFormatedClientAttach`(aClient_id INT) RETURNS varchar(250) CHARSET utf8
    READS SQL DATA
    DETERMINISTIC
    COMMENT 'return formatted attach'
BEGIN
    DECLARE vAttachTypeName VARCHAR(250) CHARSET utf8;
    DECLARE vOrgName  VARCHAR(250) CHARSET utf8;
    DECLARE vOrgStrName  VARCHAR(250) CHARSET utf8;
    DECLARE vStatement  INT;
    DECLARE vStatementStatus  VARCHAR(250) CHARSET utf8;
SELECT 
    rbAttachType.name,
    Organisation.shortName,
    OrgStructure.name,
    ClientAttach.isStatement
INTO vAttachTypeName , vOrgName , vOrgStrName , vStatement FROM
    ClientAttach
        LEFT JOIN
    rbAttachType ON rbAttachType.id = ClientAttach.attachType_id
        LEFT JOIN
    Organisation ON Organisation.id = ClientAttach.LPU_id
        LEFT JOIN
    OrgStructure ON OrgStructure.id = ClientAttach.orgStructure_id
WHERE
    ClientAttach.client_id = aClient_id
ORDER BY ClientAttach.id DESC
LIMIT 1;
IF vStatement=1 THEN
	SET vStatementStatus = (_utf8' (по заявлению) ');
ELSE
	SET vStatementStatus = (_utf8'');
	    END IF;
IF vOrgStrName!='' THEN
	SET vOrgStrName = CONCAT(_utf8'(', vOrgStrName, _utf8')');
    END IF;
RETURN CONCAT_WS(' ', vAttachTypeName, vOrgName, vOrgStrName, vStatementStatus);
END$$

DELIMITER ;

INSERT INTO `DatabaseVersion` (`base_version`, `updated`) VALUES ('up2017010-06', NOW());

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
