/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES 'utf8' COLLATE 'utf8_general_ci' */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


-- 2017-11-17 14:22:35
-- #0009056: ИЭМК2. параметр IdBloodType (группа крови пациента ) метода AddPatient
-- теперь идентификация для групп крови

CREATE TABLE `rbBloodType_Identification` (
  `id` INT(11) NOT NULL auto_increment,
  `createDatetime`  DATETIME NOT NULL COMMENT 'Дата создания записи',
  `createPerson_id` int(11) DEFAULT NULL COMMENT 'Автор записи {Person}',
  `modifyDatetime`  DATETIME NOT NULL COMMENT 'Дата изменения записи',
  `modifyPerson_id` INT(11) DEFAULT NULL COMMENT 'Автор изменения записи {Person}',
  `deleted`         TINYINT(1) NOT NULL DEFAULT '0' COMMENT 'Отметка удаления записи',

  `master_id` INT(11) NOT NULL COMMENT 'Группа крови {rbBloodType}',
  `system_id` INT(11) NOT NULL COMMENT 'Справочник {rbAccountingSystem}',
  `value`     VARCHAR(64) NOT NULL DEFAULT '' COMMENT 'собственно идентификатор',
  `checkDate` DATE NULL DEFAULT NULL COMMENT 'Дата подтверждения',
   PRIMARY KEY  (`id`),

  KEY `createPerson_id` (`createPerson_id`),
  KEY `modifyPerson_id` (`modifyPerson_id`),
  KEY `master_id` (`master_id`),
  KEY `system_id` (`system_id`),
  KEY `value`     (`system_id`,`value`),

  CONSTRAINT `rbBloodType_Identification_createPerson` FOREIGN KEY (`createPerson_id`) REFERENCES `Person` (`id`) ON UPDATE CASCADE ON DELETE SET NULL,
  CONSTRAINT `rbBloodType_Identification_modifyPerson` FOREIGN KEY (`modifyPerson_id`) REFERENCES `Person` (`id`) ON UPDATE CASCADE ON DELETE SET NULL,

  CONSTRAINT `rbBloodType_Identification_master`       FOREIGN KEY (`master_id`) REFERENCES `rbBloodType` (`id`) ON UPDATE CASCADE ON DELETE CASCADE,
  CONSTRAINT `rbBloodType_Identification_system`       FOREIGN KEY (`system_id`) REFERENCES `rbAccountingSystem`  (`id`) ON UPDATE CASCADE ON DELETE CASCADE
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='Идентификаторы групп крови';


INSERT INTO rbAccountingSystem (`code`, `name`, `urn`, `version`, `domain`, createDatetime, modifyDatetime)
VALUES (  'bloodType',
          'Группы крови',
          'urn:oid:1.2.643.2.69.1.1.1.3',
          '1',
          'rbBloodType',
          NOW(),
          NOW()
       );

INSERT INTO rbBloodType_Identification (master_id, system_id, value, createDatetime, modifyDatetime)
SELECT
    rbBloodType.id        AS master_id,
    rbAccountingSystem.id AS system_id,
    CASE rbBloodType.code
    WHEN '1-' THEN '1'
    WHEN '1+' THEN '2'
    WHEN '2-' THEN '3'
    WHEN '2+' THEN '4'
    WHEN '3-' THEN '5'
    WHEN '3+' THEN '6'
    WHEN '4-' THEN '7'
    WHEN '4+' THEN '8'
    ELSE           NULL
    END AS value,
    NOW() AS createDatetime,
    NOW() AS modifyDatetime
FROM rbBloodType, rbAccountingSystem
WHERE rbBloodType.code in ( '1-', '1+', '2-', '2+', '3-', '3+', '4-', '4+' )
  AND rbAccountingSystem.code = 'bloodType'
  AND rbAccountingSystem.urn  = 'urn:oid:1.2.643.2.69.1.1.1.3';
  
  
INSERT INTO `DatabaseVersion` (`base_version`, `updated`) VALUES ('up201711-04', NOW());

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
