/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES 'utf8' COLLATE 'utf8_general_ci' */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


-- 2017-11-21
-- Для элементов накладной утилизация требуется справочник причин утилизации.
-- Делать справочник только для утилизации было решено чреезмерным, поэтому он будет завязан с типом накладной,
-- но пртименятся пока что будет только для утилизации и в меню он тоже будет звучать как Причина утилизации.

CREATE TABLE `rbStockMotionItemReason` (
  `id`                INT(11) NOT NULL AUTO_INCREMENT,
  `createDatetime`    DATETIME NOT NULL COMMENT 'Дата создания записи',
  `createPerson_id`   INT(11) DEFAULT NULL COMMENT 'Автор записи {Person}',
  `modifyDatetime`    DATETIME NOT NULL COMMENT 'Дата изменения записи',
  `modifyPerson_id`   INT(11) DEFAULT NULL COMMENT 'Автор изменения записи {Person}',
  `deleted`           TINYINT(1) NOT NULL DEFAULT '0' COMMENT 'Отметка удаления записи',
  `code` VARCHAR(64)  NOT NULL COMMENT 'Код',
  `name` VARCHAR(128) NOT NULL COMMENT 'Наименование',
  `stockMotionType`   INT(11) NULL DEFAULT NULL COMMENT 'Тип наклдажной NULL-Для всех, 0-Накладная, 1-Инвентаризация, 2-финансовая переброска, 3-Производство, 4-Списание на пациента, 5-Возврат от пациента, 6-Резервирование на пациента, 7-Утилизация',
  PRIMARY KEY  (`id`),
  KEY `createPerson_id` (`createPerson_id`),
  KEY `modifyPerson_id` (`modifyPerson_id`),
  CONSTRAINT `rbStockMotionItemReason_createPerson` FOREIGN KEY (`createPerson_id`) REFERENCES `Person` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `rbStockMotionItemReason_modifyPerson` FOREIGN KEY (`modifyPerson_id`) REFERENCES `Person` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='Причина вкючения ЛСиИМН в накладную';


ALTER TABLE `StockMotion_Item`
  ADD COLUMN reason_id INT(11) NULL DEFAULT NULL COMMENT 'Причина вкючения ЛСиИМН в накладную {rbStockMotionItemReason}',
  ADD KEY `reason_id` (`reason_id`),
  ADD CONSTRAINT `StockMotion_Item_reason` FOREIGN KEY (`reason_id`) REFERENCES `rbStockMotionItemReason` (`id`) ON DELETE SET NULL ON UPDATE CASCADE;

  
  
INSERT INTO `DatabaseVersion` (`base_version`, `updated`) VALUES ('up201711-06', NOW());

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
