/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES 'utf8' COLLATE 'utf8_general_ci' */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


-- 2018-03-29 17:30:32
-- 0009199: Сервис ОДЛИ. Переход на новую версию 1.0.2 (DSTU2) + Микробиология
CREATE TABLE `rbUnit_Identification` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `createDatetime` datetime NOT NULL COMMENT 'Дата создания записи',
  `createPerson_id` int(11) DEFAULT NULL COMMENT 'Автор записи {Person}',
  `modifyDatetime` datetime NOT NULL COMMENT 'Дата изменения записи',
  `modifyPerson_id` int(11) DEFAULT NULL COMMENT 'Автор изменения записи {Person}',
  `deleted` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Отметка удаления записи',
  `master_id` int(11) NOT NULL COMMENT 'Единица измерения {rbUnit}',
  `system_id` int(11) NOT NULL COMMENT 'Справочник {rbAccountingSystem}',
  `value` varchar(64) NOT NULL DEFAULT '' COMMENT 'собственно идентификатор',
  `checkDate` date DEFAULT NULL COMMENT 'Дата подтверждения',
  PRIMARY KEY (`id`),
  KEY `createPerson_id` (`createPerson_id`),
  KEY `modifyPerson_id` (`modifyPerson_id`),
  KEY `master_id` (`master_id`),
  KEY `system_id` (`system_id`),
  KEY `value` (`system_id`,`value`),
  CONSTRAINT `rbUnit_Identification_createPerson` FOREIGN KEY (`createPerson_id`) REFERENCES `Person` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `rbUnit_Identification_modifyPerson` FOREIGN KEY (`modifyPerson_id`) REFERENCES `Person` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `rbUnit_Identification_master` FOREIGN KEY (`master_id`) REFERENCES `rbUnit` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `rbUnit_Identification_system` FOREIGN KEY (`system_id`) REFERENCES `rbAccountingSystem` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Идентификаторы единиц измерения';

INSERT INTO rbAccountingSystem (`code`, `name`, `urn`, `version`, `domain`, `createDatetime`, `modifyDatetime`)
SELECT  'mz.unit',
        'Единицы измерения',
        'urn:oid:1.2.643.5.1.13.13.11.1358',
        '1',
        'rbUnit',
        NOW(),
        NOW()
FROM DUAL
WHERE NOT EXISTS(SELECT id
                 FROM rbAccountingSystem
                 WHERE urn='urn:oid:1.2.643.5.1.13.13.11.1358'
                );


INSERT INTO `DatabaseVersion` (`base_version`, `updated`) VALUES ('up201803-18', NOW());

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
